/*
 * Copyright 2009-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.unitesk.aspectrace;

// TODO: think through the design: how can these or other filters be inserted in MessageStream(in a
// reasonable way).

/**
 * Filtration and modification {@link MessageStream message stream} on the fly. Used only by {@link
 * Tracer tracer} for now.
 */
public interface MessageStreamFilter {

  /**
   * Handle trace massage.
   *
   * @param msg message. All realization must distinguish three following types of messages: {@link
   *     TraceMessage}, {@link TagMessage}, {@link DebugMessage}
   * @return {@code null}, if this message must be skipped. Not-null in other cases (it is
   *     recommended to return the received object modifying if necessary). Making a set of messages
   *     out of the received one is yet to be done. For complex stream conversions making trace
   *     channel which will filter messages and distribute it between other channels may be done.
   */
  public AbstractTraceMessage filter(AbstractTraceMessage msg);
}
