/*
 * Copyright 2009-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.unitesk.aspectrace.oracle;

/**
 * Trace message: End of oracle call.
 *
 * @author Sergey Groshev
 */
public class OracleEndMessage extends com.unitesk.aspectrace.AspectMessage {

  String signature;
  int id = -1;

  OracleEndMessage(OracleAdapter adapter) {
    super(adapter);
  }

  public String getSignature() {
    return signature;
  }

  public int getId() {
    return id;
  }
}
