/*
 * Copyright 2009-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.unitesk.aspectrace.oracle;

/**
 * Interface of aspect "oracle" message handler.
 *
 * @author Sergey Groshev
 */
public interface OracleListener extends com.unitesk.aspectrace.AspectListener {

  /** Processes oracle start message. */
  public void processOracleStart(OracleStartMessage msg);

  /** Processes oracle end message. */
  public void processOracleEnd(OracleEndMessage msg);

  /** Processes end check of precondition message. */
  public void processPreEnd(boolean verdict);

  /** Processes end check of postcondition message. */
  public void processPostEnd(boolean verdict);

  /** Processes message about formulas: decodings and values. */
  public void processFormulaMessage(FormulaMessage msg);

  /** Processes message about named mark (mark, branch). */
  public void processMark(MarkMessage msg);
}
