/*
 * Copyright 2009-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.unitesk.aspectrace.requirement;

import com.unitesk.aspectrace.AspectListener;

/**
 * Интерфейс обработчика сообщений аспекта "requirement".
 *
 * @author Anastasia Tugaenko
 */
public interface RequirementListener extends AspectListener {

  public void processRequirementStart(RequirementStartMessage msg);

  public void processRequirementDb(String dbId, String dbName, String location);

  public void processRequirementPassed(String id, String db);

  public void processRequirementFailed(String id, String db, String message);
}
