/*
 * Copyright 2009-2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.unitesk.aspectrace.tracer;

/**
 * Names of aspect independent tags and attributes in XML-representation.
 *
 * @author Sergey Groshev
 */
public interface XmlConstants {

  String TAGNAME_TRACE = "trace";
  String ATTR_TRACE_DEFCHANNEL = "t:def-channel";

  String TAGNAME_TAG_START = "tag-start";
  String TAGNAME_TAG_END = "tag-end";
  String ATTR_TAG_ASPECT = "aspect";
  String ATTR_TAG_NAME = "name";
  String ATTR_TAG_PARENT = "parent";

  String TAGNAME_SYNC = "sync";
  String ATTR_SYNC_ASPECT = "aspect";
  String ATTR_SYNC_CHANNEL = "t:ch";
  String ATTR_SYNC_NAME = "name";

  String ATTR_CHANNEL = "t:ch";
  String XMLNS_URI = "http://unitesk.com/aspectrace/xml-trace";
}
